Package com.smartgwt.client.types

# Enum DateItemSelectorFormat

java.lang.Object
java.lang.Enum<DateItemSelectorFormat>
com.smartgwt.client.types.DateItemSelectorFormat

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<DateItemSelectorFormat>`, `Constable`

public enum DateItemSelectorFormat extends Enum<DateItemSelectorFormat> implements ValueEnum
Order of pickers and which pickers are present when using a DateItem with `DateItem.useTextField` false.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAY_MONTH`
  Output only day, month fields.
  `DAY_MONTH_YEAR`
  Output fields in day, month, year order.
  `MONTH_DAY`
  Output only month, day fields.
  `MONTH_DAY_YEAR`
  Output fields in month, day, year order.
  `MONTH_YEAR`
  Output only month, year fields.
  `YEAR_MONTH`
  Output only year, month fields.
  `YEAR_MONTH_DAY`
  Output fields in year, month, day order.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static DateItemSelectorFormat`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DateItemSelectorFormat[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DAY_MONTH_YEAR

    public static final DateItemSelectorFormat DAY_MONTH_YEAR
    Output fields in day, month, year order.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "DMY".

  - ### MONTH_DAY_YEAR

    public static final DateItemSelectorFormat MONTH_DAY_YEAR
    Output fields in month, day, year order.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "MDY".

  - ### YEAR_MONTH_DAY

    public static final DateItemSelectorFormat YEAR_MONTH_DAY
    Output fields in year, month, day order.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "YMD".

  - ### DAY_MONTH

    public static final DateItemSelectorFormat DAY_MONTH
    Output only day, month fields.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "DM".

  - ### MONTH_DAY

    public static final DateItemSelectorFormat MONTH_DAY
    Output only month, day fields.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "MD".

  - ### YEAR_MONTH

    public static final DateItemSelectorFormat YEAR_MONTH
    Output only year, month fields.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "YM".

  - ### MONTH_YEAR

    public static final DateItemSelectorFormat MONTH_YEAR
    Output only month, year fields.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "MY".

- ## Method Details

  - ### values

    public static DateItemSelectorFormat[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DateItemSelectorFormat valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`